import { ajax } from "../sdk/ajax";
/* 产品管控 */


// 羊皮价格 SheepSkin
export const reqSheepSkin = () => ajax("post", "/farm-huyang/screen/product-system/sheep-skin/get")

export const reqSetSheepSkin = (data) => ajax("post", "/farm-huyang/screen/product-system/sheep-skin/save", data)


// 羊血价格 SheepBlood
export const reqSheepBlood = () => ajax("post", "/farm-huyang/screen/product-system/sheep-blood/get")

export const reqSetSheepBlood = (data) => ajax("post", "/farm-huyang/screen/product-system/sheep-blood/save", data)


// 羊杂销售额 SheepMixed
export const reqSheepMixed = () => ajax("post", "/farm-huyang/screen/product-system/sheep-mixed/get")

export const reqSetSheepMixed = (data) => ajax("post", "/farm-huyang/screen/product-system/sheep-mixed/save", data)


// 仓库使用率 WarehouseU
export const reqWarehouseU = () => ajax("post", "/farm-huyang/screen/product-system/warehouse-utilization/get")

export const reqSetWarehouseU = (data) => ajax("post", "/farm-huyang/screen/product-system/warehouse-utilization/save", data)


// 头部信息 HeadSum
export const reqHeadSum = () => ajax("post", "/farm-huyang/screen/product-system/head-sum/get")

export const reqSetHeadSum = (data) => ajax("post", "/farm-huyang/screen/product-system/head-sum/save", data)


// 产品库存 ProductStock
export const reqProductStock = () => ajax("post", "/farm-huyang/screen/product-system/product-stock/get")

export const reqSetProductStock = (data) => ajax("post", "/farm-huyang/screen/product-system/product-stock/save", data)


// 出库量排行 RankingDelivery
export const reqRankingDelivery = () => ajax("post", "/farm-huyang/screen/product-system/ranking-delivery/get")

export const reqSetRankingDelivery = (data) => ajax("post", "/farm-huyang/screen/product-system/ranking-delivery/save", data)


// 客户购买排行 RankingCustomer
export const reqRankingCustomer = () => ajax("post", "/farm-huyang/screen/product-system/ranking-customer/get")

export const reqSetRankingCustomer = (data) => ajax("post", "/farm-huyang/screen/product-system/ranking-customer/save", data)


// 历史出库量 HistoryStockOut
export const reqHistoryStockOut = () => ajax("post", "/farm-huyang/screen/product-system/history-stock-out/get")

export const reqSetHistoryStockOut = (data) => ajax("post", "/farm-huyang/screen/product-system/history-stock-out/save", data)


// 历史入库量 HistoryStockIn
export const reqHistoryStockIn = () => ajax("post", "/farm-huyang/screen/product-system/history-stock-in/get")

export const reqSetHistoryStockIn = (data) => ajax("post", "/farm-huyang/screen/product-system/history-stock-in/save", data)


// 出库申请记录 WarehouseOutRecord
export const reqWarehouseOutRecord = () => ajax("post", "/farm-huyang/screen/product-system/warehouse-out-record/get")

export const reqSetWarehouseOutRecord = (data) => ajax("post", "/farm-huyang/screen/product-system/warehouse-out-record/save", data)


// 产品价格 ProductPrice
export const reqProductPrice = () => ajax("post", "/farm-huyang/screen/product-system/product-price/get")

export const reqSetProductPrice = (data) => ajax("post", "/farm-huyang/screen/product-system/product-price/save", data)
